 * {
     margin: 0;
     padding: 0;
     line-height: 0;
 }

 body {
     background-color: #ccc;
     text-align: center;
 }

 .container {
     width: 350px;
     margin: 10px  auto;
     border : 5px solid white;
     overflow: auto;
 }

.thumb {
    width:175px;
    float: left;
    border: 2px solid white;
    box-sizing: border-box;
}

.thumb:hover {
    opacity : 0.5;
    cursor: pointer;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.fade{
    opacity: 0;
    animation: fadeIn 0.5s forwards;
}

.active {
    opacity: 0.5;
}